import { MatchQuery } from 'src/modules/matcher/queries/match.query';
import { Processor } from '../processor.abstract';
import { Candidate } from '../candidate';

export abstract class AlgorithmFactory {
  _matchQuery: MatchQuery;
  _candidates: Array<Candidate>;

  constructor(matchQuery: MatchQuery) {
    this._matchQuery = matchQuery;
    this._candidates = [];
  }

  abstract createProcessors(): Array<Processor>;
}
